﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System;

public class musicplayer : MonoBehaviour
{
    int objno = 0;
    rtcmixmain RTcmix;
    public TextAsset musictext;
    String musicsco;

    private int did_start = 0;

    private void Awake()
    {
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }

    // Use this for initialization
    void Start()
    {
        RTcmix.initRTcmix(objno);

        musicsco = musictext.text;

        RTcmix.SendScore("flipper = 0", 0);
        RTcmix.SendScore(musicsco, objno);

        did_start = 1;
    }

    // Update is called once per frame
    void Update()
    {

    }

    void OnAudioFilterRead(float[] data, int nchannels)
    {
        if (did_start == 0) return;

        RTcmix.runRTcmix(data, objno, 0);
        
        if (RTcmix.checkbangRTcmix(objno) == 1)
        {
            RTcmix.SendScore(musicsco, objno);
        }
    }

    void OnApplicationQuit()
    {
        did_start = 0;

        RTcmix = null;
    }
}
